## gobject-introspection 1.78.1

=== debian/changelog ===
gobject-introspection (1.78.1-6) unstable; urgency=medium

  * dh_girepository:
    - Fix generation of GIR XML -> typelib dependency
    - Don't generate Depends for GIR XML included by private GIR XML.
      It's somewhat common for packages like gnome-shell and cinnamon
      to ship GIR XML in a private location in a non-"-dev"-suffixed
      package. In such cases, development/compilation is not the primary
      purpose of the package, so we don't want to force a dependency
      on the -dev package that contains an included GIR XML file. For
      example, it would be inappropriate to force cinnamon to depend on
      libmuffin-dev, or gnome-shell on libmutter-dev.
      (Helps: #1057391)
  * policy:
    - Relax naming and dependency requirements for private GIR XML.
      As discussed on #1057391, this mini-policy is primarily for public
      GIR XML and public typelibs. (Helps: #1057391)
    - Cite another reason why public GIR XML cannot be
      Architecture: all
    - Replace an outdated introductory paragraph
  * d/control, d/rules: Use a shorter substvar name for libffiN
  * d/rules: Pass all dpkg-architecture variables to d/extra-substvars.py
  * d/extra-substvars.py: Generate substvars for host architecture information
  * d/elf-get-needed: Add a tool to read dependencies' SONAMEs
  * d/rules, d/control: Don't run gtk-doc for Architecture: any builds
  * d/control: g-i Depends on ${perl:Depends}, for dh_girepository
  * d/copyright: Update
  * d/control, d/tests: Depend on pkgconf in preference to pkg-config
  * d/control: gobject-introspection Depends on pkgconf
  * d/p/scanner-If-using-libtool-with-a-wrapper-use-libtool-mode-.patch:
    Add a patch to improve use of --use-binary-wrapper with libtool.
    This will help to make a future version of gobject-introspection able
    to cross-compile typelibs.
  * d/p/Drop-GIO-from-libgirepository-s-dependencies.patch:
    Add patch from upstream to avoid depending on GIO in type-dumping tool.
    This is needed for forward-compatibility with GLib 2.79.x.
  * Install GLib-2.0.gir into multiarch location, with a compatibility
    symlink.
    This will help to start the process of updating dependent packages
    to be able to load GLib-2.0.gir and other GIR XML from the multiarch
    location. (Helps: #859013)
  * Generate architecture-prefixed executables.
    These will eventually make it possible to cross-compile
    GIR XML and typelibs for (for example) riscv64-linux-gnu
    libraries on an x86_64-linux-gnu build system, by invoking
    riscv64-linux-gnu-g-ir-scanner and so on. (Helps: #801672, #905715)
  * Edit pkg-config metadata to point to architecture-prefixed tools
  * Install a Meson cross-file to force use of the prefixed tools
    If necessary, Meson can be invoked as
    "meson --cross-file ${DEB_HOST_GNU_TYPE}-gobject-introspection.ini"
    to use this.
  * d/control, d/rules: Use a prebuilt g-i when cross-building.
    We can generate a special variant of debian/cross-g-ir-tool.in that wraps
    the upstream g-ir-scanner, etc. binaries with an appropriate search path
    and executable wrapper to adapt them for the host architecture.
  * d/control: Make build-dependencies satisfiable during cross-compilation.
    Thanks to Helmut Grohne for hints on how this can be achieved.

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Dec 2023 22:01:44 +0000

gobject-introspection (1.78.1-5) unstable; urgency=medium

  * dh_girepository: Generate ${gir:Depends} for GIR XML -> typelib.
    For example, this should make it unnecessary to hard-code libfoo-dev
    Depends: gir1.2-foo-0 (= ${binary:Version}).
    Only do this for GIR XML in public directories, to avoid causing
    FTBFS in packages like src:mutter that ship private GIR XML and
    typelibs in a package not matching the usual naming convention.
  * Upload to unstable
    (Helps: #801672, #905715, #1016631, #1029957, #1030223)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Nov 2023 17:56:43 +0000

gobject-introspection (1.78.1-4) experimental; urgency=medium

  * dh_girepository, policy.txt: Don't depend on -dev packages provided by
    gir1.2-freedesktop.
    Until we can split up libgirepository1.0-dev into smaller binary
    packages (#859013) or split out GIR XML from other -dev packages
    (#1030223), either of which will require trips through the NEW queue,
    it's undesirable for other -dev packages to hard-require it, because
    that will make them non-multiarch-friendly (due to #801672). For now,
    assume that all GIR XML provided by src:gobject-introspection will
    be pulled in by the gobject-introspection toolchain rather than by
    -dev packages' dependencies.

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Nov 2023 13:23:04 +0000

gobject-introspection (1.78.1-3) experimental; urgency=medium

  * dh_girepository: Warn if Build-Depends: gir1.2-foo-0-dev is missing.
    If the package builds GIR XML with <include name="Foo" version="0"/>,
    then it should build-depend on gir1.2-foo-0-dev <!nogir>. This
    will allow us to move GIR XML from libfoo-dev into a separate
    gir1.2-foo-0-dev binary package when all dependent source packages
    have added the build-dependency, making it possible to build libfoo
    without GObject-Introspection. (Helps: #1030223)
  * policy: Say more about build-dependencies
  * dh_girepository: Remove tracking of typelibs in the multiarch path.
    This used to generate a versioned Depends, but that was removed in
    1.54.0-2 (2017).
  * dh_girepository: Show a warning for typelibs in the pre-multiarch location.
    Debian's gobject-introspection only searches this location as a
    result of a Debian-specific patch which we would prefer to remove.
    This warning corresponds to typelib-not-in-multiarch-directory
    in Lintian.
  * Search for GIR XML in /usr/lib/*/gir-1.0.
    A subset of GIR XML genuinely varies between architectures,
    and we need to install that into ${libdir} for multiarch

